*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #0c0c0c;
}
label{
    position: relative;
    width: 180px;
    height: 180px;
    cursor: pointer;
    border-radius: 50%;
}
label .btn{
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    background: #1b1b1b;
    border-radius: 50%;
    box-shadow: 0 3px 4px rgba(0,0,0,1),
    inset 0 -2px 5px rgba(0,0,0,1),
    inset 0 2px 2px rgba(255,255,255,0.5),
    0 0 0 2px #000,
   0 0 0 5px #0c0c0c,
   0 0 0 5.5px #080808;
}
label input[type="checkbox"]{
    appearance: none;
    position: relative;
    left: 35px;
    top: 35px;
    z-index: 1;
    width: 100px;
    height: 100px;
}
label .fa-solid{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    font-size: 8em;
    color: #0c0c0c;
}
label input[type="checkbox"]:checked ~ .btn{
    box-shadow: 0 0 0 rgba(0,0,0,1),
    inset 0 -2px 5px rgba(0,0,0,1),
    inset 0 1px 1px rgba(255,255,255,0.1),
    0 0 0 2px #000,
   0 0 0 5px #0c0c0c,
   0 0 0 5.5px #00a1ff;
}
label input[type="checkbox"]:checked ~ .fa-solid{
    color: #00a1ff;
    text-shadow: 0 0 15px #00a1ff,
                 0 0 30px #00a1ff;
}